Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `setCaseSensitive, setExcludes, setIncludes, addDate, setFollowSymlinks, setProject, getSelectors, addSelector, XsetIgnore, XsetItems, createExclude, addCustom, addContains, addDepth, addMajority, addContainsRegexp, addModified, addPresent, addNone, addDepend, addOr, createPatternSet, setIncludesfile, createInclude, setDefaultexcludes, selectorCount, appendSelector, addSize, createExcludesFile, selectorElements, createIncludesFile, hasSelectors, addAnd, addNot, setExcludesfile, addDifferent, addFilename, add, addType, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, setOwningTarget, setTaskType, getOwningTarget, maybeConfigure, setTaskName, getTaskType, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, getDescription, getProject, setDescription, setLocation, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, setOwningTarget, setTaskType, getOwningTarget, maybeConfigure, setTaskName, getTaskType, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, getDescription, getProject, setDescription, setLocation, setProject, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)